Bulk upsert customer group product variant prices
Creates or updates prices for product variants within customer groups and markets in bulk. Accepts up to 100 price items.
PUT
/api/v1/{team_slug}/{app_slug}/customer-group-pricesAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Request body
requiredapplication/jsonPrices data
pricesinternal_pkg_webserver_v1.InputCustomerGroupProductVariantPriceItem[]requiredmax items 100
Show propertiesHide properties
Array of
internal_pkg_webserver_v1.InputCustomerGroupProductVariantPriceItemcustomer_group_idstringrequiredmarket_idstringrequiredprice_amountintegerPrice is in minor units
min 0
product_variant_idstringrequiredResponses
200
Prices created or updated successfully
datainternal_pkg_webserver_v1.CustomerGroupProductVariantPricesResponserequiredShow propertiesHide properties
failedinternal_pkg_webserver_v1.CustomerGroupProductVariantPriceFailedOp[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.CustomerGroupProductVariantPriceFailedOpcustomer_group_idstringmarket_idstringproduct_variant_idstringreasonstringsuccessfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPrice[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPricecreated_atstringcustomer_groupgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupRefShow propertiesHide properties
idstringnamestringslugstringidstringmarketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceMarketShow propertiesHide properties
idstringnamestringslugstringprice_amountintegerproduct_variantgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceVariantRefShow propertiesHide properties
idstringvariant_namestringupdated_atstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired